package com.jrl.fuelprice.data.commons.local.sharedpreferences

import android.content.Context
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.qualifiers.ApplicationContext
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object PreferencesManagerModule {
    
    @Provides
    fun providesPreferencesManager(
        @ApplicationContext context: Context,
    ): PreferencesManager = PreferencesManagerImpl(
        context = context
    )
}