package com.jrl.fuelprice.data.discounts.db.dao

import androidx.room.Dao
import androidx.room.Query
import com.jrl.fuelprice.data.discounts.db.entities.DiscountsWithBrandDbModel

@Dao
interface DiscountDao {
    
    @Query("SELECT * FROM discounts")
    fun getDiscounts(): List<DiscountsWithBrandDbModel>
    
    @Query("SELECT * FROM discounts WHERE is_active IS 1")
    fun getActiveDiscounts(): List<DiscountsWithBrandDbModel>
    
    @Query("UPDATE discounts SET is_active = :isActive WHERE id = :discountId")
    fun update(discountId: Int, isActive: Boolean): Int
}