package com.jrl.fuelprice.data.gasstations.db.converters

import androidx.room.TypeConverter
import com.jrl.fuelprice.data.gasstations.db.entities.SaleTypeDbEnum

class SaleTypeConverter {
    
    @TypeConverter
    fun toDomain(value: Int): SaleTypeDbEnum = SaleTypeDbEnum.entries.first { it.value == value }
    
    @TypeConverter
    fun toDb(saleType: SaleTypeDbEnum): Int = saleType.value
}