package com.jrl.fuelprice.data.gasstations.local

import com.jrl.fuelprice.data.commons.local.lastupdate.AbsLastUpdateLocalSourceImpl
import com.jrl.fuelprice.data.commons.local.sharedpreferences.PreferencesManager
import javax.inject.Inject

class GasStationLocalSourceImpl @Inject constructor(
    preferencesManager: PreferencesManager
) : AbsLastUpdateLocalSourceImpl(preferencesManager), GasStationLocalSource {
    
    companion object {
        const val KEY_LAST_UPDATE_GAS_STATIONS = "last_update_gas_stations"
    }
    
    override fun getKey(): String = KEY_LAST_UPDATE_GAS_STATIONS
}