package com.jrl.fuelprice.data.messaging

import com.jrl.fuelprice.data.messaging.local.MessagingLocalSource
import com.jrl.fuelprice.domain.messaging.MessagingRepository

class MessagingRepositoryImpl(
    private val localSource: MessagingLocalSource
) : MessagingRepository {
    
    override fun saveToken(token: String) {
        localSource.saveToken(token)
    }
    
    override fun getToken(): String? = localSource.getToken()
}