package com.jrl.fuelprice.data.places.remote

import com.google.android.libraries.places.api.model.AutocompletePrediction
import com.google.android.libraries.places.api.model.Place
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel

interface PlacesRemoteSource {
    
    suspend fun searchPlaces(query: String): Result<List<AutocompletePrediction>>
    
    suspend fun getLocationByPlaceId(placeId: String): Result<Place>
}