package com.jrl.fuelprice.data.rating.db

import com.jrl.fuelprice.data.rating.db.dao.RatingDao
import com.jrl.fuelprice.data.rating.db.entities.RatingDbModel

class RatingDbSourceImpl(
    private val dao: RatingDao,
) : RatingDbSource {
    
    override suspend fun saveRatings(items: List<RatingDbModel>) {
        dao.insertAll(items)
    }
}