package com.jrl.fuelprice.data.rating.local

import com.jrl.fuelprice.data.commons.local.lastupdate.AbsLastUpdateLocalSourceImpl
import com.jrl.fuelprice.data.commons.local.sharedpreferences.PreferencesManager
import javax.inject.Inject

class RatingLocalSourceImpl @Inject constructor(
    preferencesManager: PreferencesManager
) : AbsLastUpdateLocalSourceImpl(preferencesManager), RatingLocalSource {
    
    companion object {
        const val KEY_LAST_UPDATE_RATINGS = "last_update_ratings"
    }
    
    override fun getKey(): String = KEY_LAST_UPDATE_RATINGS
}