package com.jrl.fuelprice.domain.discounts.usecases

import com.jrl.fuelprice.domain.discounts.DiscountsRepository
import com.jrl.fuelprice.domain.discounts.models.DiscountDomainModel
import javax.inject.Inject

class GetDiscountsUseCase @Inject constructor(
    private val repository: DiscountsRepository
) {
    
    suspend operator fun invoke(): Result<List<DiscountDomainModel>> = repository.getDiscounts()
}