package com.jrl.fuelprice.domain.places

import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import com.jrl.fuelprice.domain.places.models.PlaceDomainModel

interface PlacesRepository {
    
    suspend fun searchPlaces(query: String): Result<List<PlaceDomainModel>>
    
    suspend fun getLocationByPlaceId(placeId: String): Result<LocationDomainModel>
}