package com.jrl.fuelprice.domain.places.usecases

import com.jrl.fuelprice.domain.places.PlacesRepository
import com.jrl.fuelprice.domain.places.models.PlaceDomainModel
import javax.inject.Inject

class SearchPlacesUseCase @Inject constructor(
    private val repository: PlacesRepository,
) {
    
    suspend operator fun invoke(query: String): Result<List<PlaceDomainModel>> =
        repository.searchPlaces(query = query)
}