package com.jrl.fuelprice.domain.vehicledetails.usecases

import com.jrl.fuelprice.domain.vehicledetails.VehicleDetailsRepository
import javax.inject.Inject

class SaveConsumptionUseCase @Inject constructor(
    private val repository: VehicleDetailsRepository,
) {
    
    suspend operator fun invoke(value: Double) = repository.saveConsumption(value)
}