package com.jrl.fuelprice.presentation.commons.extensions

import com.google.common.collect.ImmutableList

@JvmName("toImmutableListFromList")
fun <T : Any> List<T>.toImmutableList(): ImmutableList<T> = ImmutableList.copyOf(this)

@JvmName("toImmutableListFromMutableList")
fun <T : Any> MutableList<T>.toImmutableList(): ImmutableList<T> = ImmutableList.copyOf(this)