package com.jrl.fuelprice.presentation.commons.theme

import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

object Dimension {
    object Padding {
        val UltraVeryLittle = 2.dp
        val VeryLittle = 4.dp
        val Little = 8.dp
        val LittleNormal = 12.dp
        val Normal = 16.dp
        val Big = 24.dp
        val VeryBig = 36.dp
        val UltraBig = 48.dp
    }

    object FontSize {
        val Large = 22.sp
        val Medium = 18.sp
        val Normal = 16.sp
        val Small = 12.sp
    }

    object Border {
        val Stroke: Dp = 1.dp
        val Radius: Dp = 6.dp
        val ChipRadius: Dp = 24.dp
    }
}