package com.jrl.fuelprice.presentation.commons.theme

import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.runtime.Composable

@Composable
fun FuelPriceTheme(
    content: @Composable () -> Unit,
) {
    MaterialTheme(
        colorScheme = lightColorScheme(
            primary = CustomColor.Primary,
            onPrimary = CustomColor.PrimaryLight,
            background = CustomColor.Background,
            error = CustomColor.Red1
        ),
        content = content,
    )
}