package com.jrl.fuelprice.presentation.commons.utils

import com.jrl.fuelprice.R
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.RadioDomainEnum

fun FuelTypeDomainEnum.getStringRes(): Int = when (this) {
    FuelTypeDomainEnum.BIODIESEL -> R.string.biodiesel
    FuelTypeDomainEnum.DIESEL_A -> R.string.diesel_a
    FuelTypeDomainEnum.DIESEL_B -> R.string.diesel_b
    FuelTypeDomainEnum.DIESEL_PREMIUM -> R.string.diesel_premium
    FuelTypeDomainEnum.GASOLINE_95_E5 -> R.string.gasoline_95_e5
    FuelTypeDomainEnum.GASOLINE_95_E5_PREMIUM -> R.string.gasoline_95_e5_premium
    FuelTypeDomainEnum.GASOLINE_95_E10 -> R.string.gasoline_95_e10
    FuelTypeDomainEnum.GASOLINE_98_E5 -> R.string.gasoline_98_e5
    FuelTypeDomainEnum.GASOLINE_98_E10 -> R.string.gasoline_98_e10
    FuelTypeDomainEnum.HYDROGEN -> R.string.hydrogen
}

fun RadioDomainEnum.getStringRes(): Int = when (this) {
    RadioDomainEnum.TWO_KM -> R.string.radio_2_km
    RadioDomainEnum.FIVE_KM -> R.string.radio_5_km
    RadioDomainEnum.TEN_KM -> R.string.radio_10_km
    RadioDomainEnum.TWENTY_FIVE_KM -> R.string.radio_25_km
    RadioDomainEnum.FIFTY_KM -> R.string.radio_50_km
    RadioDomainEnum.ONE_HUNDRED_KM -> R.string.radio_100_km
}