package com.jrl.fuelprice.presentation.notifications

import android.content.Context
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.qualifiers.ApplicationContext
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object NotificationServiceModule {
    
    @Provides
    fun providesNotificationService(
        @ApplicationContext context: Context
    ): NotificationService = NotificationService(context)
}