package com.jrl.fuelprice.data.alerts.remote

import com.jrl.fuelprice.domain.alerts.models.AlertDomainModel

interface AlertRemoteSource {
    
    suspend fun getAlerts(userId: String): Result<List<AlertDomainModel>>
    
    suspend fun updateAlertStatus(
        alert: AlertDomainModel,
        userId: String,
    )
}