package com.jrl.fuelprice.data.commons.db.converters

import androidx.room.TypeConverter
import com.jrl.fuelprice.data.discounts.db.entities.DiscountTypeDbEnum

class DiscountTypeConverter {
    
    @TypeConverter
    fun toDomain(value: Int): DiscountTypeDbEnum = DiscountTypeDbEnum.entries.first { it.value == value }
    
    @TypeConverter
    fun toDb(type: DiscountTypeDbEnum): Int = type.value
}