package com.jrl.fuelprice.data.gasstations.db.converters

import androidx.room.TypeConverter
import com.jrl.fuelprice.data.gasstations.db.entities.FuelTypeDbEnum

class FuelTypeDbConverter {
    
    @TypeConverter
    fun toDomain(value: Int): FuelTypeDbEnum = FuelTypeDbEnum.entries.first { it.value == value }
    
    @TypeConverter
    fun toDb(type: FuelTypeDbEnum): Int = type.value
}