package com.jrl.fuelprice.data.gasstations.db.entities

import com.jrl.fuelprice.domain.gasstations.models.SaleTypeDomainEnum

enum class SaleTypeDbEnum(val value: Int) {
    PUBLIC(0),
    PRIVATE(1),
    ;
    
    companion object {
        fun SaleTypeDbEnum.toDomain(): SaleTypeDomainEnum =
            when (this) {
                PUBLIC -> SaleTypeDomainEnum.PUBLIC
                PRIVATE -> SaleTypeDomainEnum.PRIVATE
            }
        
        fun SaleTypeDomainEnum.toDb(): SaleTypeDbEnum =
            when (this) {
                SaleTypeDomainEnum.PUBLIC -> PUBLIC
                SaleTypeDomainEnum.PRIVATE -> PRIVATE
            }
    }
}