package com.jrl.fuelprice.data.rating.db.converters

import androidx.room.TypeConverter
import com.jrl.fuelprice.data.rating.db.entities.RatingTypeDbEnum

class RatingTypeConverter {
    
    @TypeConverter
    fun toDomain(value: Int): RatingTypeDbEnum = RatingTypeDbEnum.entries.first { it.value == value }
    
    @TypeConverter
    fun toDb(type: RatingTypeDbEnum): Int = type.value
}