package com.jrl.fuelprice.data.rating.db.entities

import androidx.room.ColumnInfo
import androidx.room.Entity

@Entity(
    tableName = "ratings",
    primaryKeys = ["item_id", "type", "user_id"],
)
data class RatingDbModel(
    @ColumnInfo(name = "item_id") val itemId: Int,
    @ColumnInfo(name = "score") val score: Int,
    @ColumnInfo(name = "type") val type: RatingTypeDbEnum,
    @ColumnInfo(name = "user_id") val userId: String,
)