package com.jrl.fuelprice.data.rating.firestore

import com.jrl.fuelprice.data.rating.firestore.models.RatingFirestoreModel
import com.jrl.fuelprice.domain.rating.RatingTypeDomainEnum

interface RatingRemoteSource {
    
    suspend fun saveRating(
        itemId: Int,
        rating: Int,
        type: RatingTypeDomainEnum,
        userId: String,
    )
    
    suspend fun getRatings(): Result<List<RatingFirestoreModel>>
}