package com.jrl.fuelprice.domain.discounts.usecases

import com.jrl.fuelprice.domain.discounts.DiscountsRepository
import javax.inject.Inject

class UpdateDiscountUseCase @Inject constructor(
    private val repository: DiscountsRepository
) {
    
    suspend operator fun invoke(
        discountId: Int,
        isActive: Boolean,
    ) = repository.updateDiscount(
        discountId = discountId,
        isActive = isActive,
    )
}