package com.jrl.fuelprice.domain.gasstations.models

import java.time.LocalDateTime

data class GasStationDomainModel(
    val id: Int,
    val name: String,
    val place: GasStationPlaceDomainModel,
    val schedule: String? = null,
    val prices: PriceDomainModel,
    val saleType: SaleTypeDomainEnum,
    val brand: BrandDomainModel,
    var isFavorite: Boolean,
    val score: Double,
    val updateAt: LocalDateTime,
)