package com.jrl.fuelprice.domain.gasstations.models

enum class RadioDomainEnum {
    TWO_KM,
    FIVE_KM,
    TEN_KM,
    TWENTY_FIVE_KM,
    FIFTY_KM,
    ONE_HUNDRED_KM,
    ;

    companion object {
        fun RadioDomainEnum.toNumber(): Int =
            when (this) {
                TWO_KM -> 2
                FIVE_KM -> 5
                TEN_KM -> 10
                TWENTY_FIVE_KM -> 25
                FIFTY_KM -> 50
                ONE_HUNDRED_KM -> 100
            }
    }
}