package com.jrl.fuelprice.domain.places.usecases

import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import com.jrl.fuelprice.domain.places.PlacesRepository
import javax.inject.Inject

class GetLocationFromPlaceIdUseCase @Inject constructor(
    private val repository: PlacesRepository,
) {
    
    suspend operator fun invoke(
        placeId: String
    ): Result<LocationDomainModel> {
        return repository.getLocationByPlaceId(placeId = placeId)
    }
}