package com.jrl.fuelprice.domain.vehicledetails.usecases

import com.jrl.fuelprice.domain.vehicledetails.VehicleDetailsRepository
import com.jrl.fuelprice.domain.vehicledetails.models.VehicleDetailsDomainModel
import javax.inject.Inject

class GetVehicleDetailsUseCase @Inject constructor(
    private val repository: VehicleDetailsRepository,
) {
    
    suspend operator fun invoke(): Result<VehicleDetailsDomainModel> = repository.getVehicleDetails()
}