package com.jrl.fuelprice.presentation.map.models

enum class PriceLevelUiEnum {
    LOW,
    MEDIUM,
    HIGH,
    ;

    companion object {
        fun toUi(price: Double): PriceLevelUiEnum =
            when (price) {
                in 0.0..110.00 -> LOW
                in 110.01..120.00 -> MEDIUM
                else -> HIGH
            }
    }
}