package com.jrl.fuelprice.shared

import io.mockk.MockKAnnotations
import io.mockk.clearAllMocks
import io.mockk.unmockkAll
import org.junit.jupiter.api.AfterEach
import org.junit.jupiter.api.BeforeEach

abstract class AbsBaseTest {
    
    @BeforeEach
    open fun setUp() {
        MockKAnnotations.init(this)
    }
    
    @AfterEach
    open fun tearDown() {
        clearAllMocks()
        unmockkAll()
    }
}